# edropin_eventsapi
Events service for eDropin

This Dart package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0.10
- Build package: org.openapitools.codegen.languages.DartClientCodegen

## Requirements

Dart 1.20.0 or later OR Flutter 0.0.20 or later

## Installation & Usage

### Github
If this Dart package is published to Github, please include the following in pubspec.yaml
```
name: edropin_eventsapi
version: 1.0.0
description: OpenAPI API client
dependencies:
  edropin_eventsapi:
    git: https://github.com/GIT_USER_ID/GIT_REPO_ID.git
      version: 'any'
```

### Local
To use the package in your local drive, please include the following in pubspec.yaml
```
dependencies:
  edropin_eventsapi:
    path: /path/to/edropin_eventsapi
```

## Tests

TODO

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```dart
import 'package:edropin_eventsapi/api.dart';

// TODO Configure API key authorization: Authorization
//edropin_eventsapi.api.Configuration.apiKey{'Authorization'} = 'YOUR_API_KEY';
// uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//edropin_eventsapi.api.Configuration.apiKeyPrefix{'Authorization'} = "Bearer";
// TODO Configure API key authorization: ClientKey
//edropin_eventsapi.api.Configuration.apiKey{'X-Client-Key'} = 'YOUR_API_KEY';
// uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//edropin_eventsapi.api.Configuration.apiKeyPrefix{'X-Client-Key'} = "Bearer";

var api_instance = new EeEventAttendeesApi();
var ticketId = ticketId_example; // String | Ticket Id
var eeEventAttendeeUpdate = new EeEventAttendeeUpdate(); // EeEventAttendeeUpdate | Attendee object to be created

try {
    var result = api_instance.addAttendee(ticketId, eeEventAttendeeUpdate);
    print(result);
} catch (e) {
    print("Exception when calling EeEventAttendeesApi->addAttendee: $e\n");
}

```

## Documentation for API Endpoints

All URIs are relative to *https://events-dot-edropin-test.appspot.com*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*EeEventAttendeesApi* | [**addAttendee**](docs//EeEventAttendeesApi.md#addattendee) | **POST** /tickets/{ticketId}/attendees | Add an Attendee to an event
*EeEventAttendeesApi* | [**clearAttendeeDropins**](docs//EeEventAttendeesApi.md#clearattendeedropins) | **POST** /attendees/clear-dropins | Clear dropins from attendees
*EeEventAttendeesApi* | [**createAttendeesForTicketSale**](docs//EeEventAttendeesApi.md#createattendeesforticketsale) | **POST** /attendees/ticketsale | Pub sub to generate claims for event tickets sold
*EeEventAttendeesApi* | [**deactivateAttendeesForTicketRefund**](docs//EeEventAttendeesApi.md#deactivateattendeesforticketrefund) | **POST** /attendees/ticketrefund | Pub sub to cancel tickets for refunded order items
*EeEventAttendeesApi* | [**deleteEventAttendee**](docs//EeEventAttendeesApi.md#deleteeventattendee) | **DELETE** /attendees/{attendeeId} | Delete an existing Event Attendee
*EeEventAttendeesApi* | [**exportAttendees**](docs//EeEventAttendeesApi.md#exportattendees) | **GET** /events/{eventId}/attendees/export | List all event attendees
*EeEventAttendeesApi* | [**getAttendee**](docs//EeEventAttendeesApi.md#getattendee) | **GET** /attendees/{attendeeId} | Get an attendee
*EeEventAttendeesApi* | [**getAttendeeClaimLink**](docs//EeEventAttendeesApi.md#getattendeeclaimlink) | **GET** /attendees/{attendeeId}/claims | Get an attendee claim
*EeEventAttendeesApi* | [**getAttendeesByClaim**](docs//EeEventAttendeesApi.md#getattendeesbyclaim) | **GET** /attendees/claim | Get all attendee claims associated with the code in query
*EeEventAttendeesApi* | [**listAllAttendees**](docs//EeEventAttendeesApi.md#listallattendees) | **GET** /events/{eventId}/attendees | List all event attendees
*EeEventAttendeesApi* | [**listUserAttendees**](docs//EeEventAttendeesApi.md#listuserattendees) | **GET** /attendees | Search user attendees
*EeEventAttendeesApi* | [**sendAttendeeClaimEmail**](docs//EeEventAttendeesApi.md#sendattendeeclaimemail) | **POST** /attendees/{attendeeId}/claims | Send Claim email
*EeEventAttendeesApi* | [**sendAttendeeNotification**](docs//EeEventAttendeesApi.md#sendattendeenotification) | **POST** /attendees/message | Send a message to attendees
*EeEventAttendeesApi* | [**transferAttendees**](docs//EeEventAttendeesApi.md#transferattendees) | **POST** /attendees/transfer | Send Claim email
*EeEventAttendeesApi* | [**updateAttendee**](docs//EeEventAttendeesApi.md#updateattendee) | **PUT** /attendees/{attendeeId} | Update an attendee
*EeEventAttendeesApi* | [**updateAttendeesByClaim**](docs//EeEventAttendeesApi.md#updateattendeesbyclaim) | **PUT** /attendees/claim | Update attendees using claim code
*EeEventAutomationsApi* | [**addEventAutomation**](docs//EeEventAutomationsApi.md#addeventautomation) | **POST** /events/{eventId}/automations | Add an automation to an event
*EeEventAutomationsApi* | [**deleteEventAutomation**](docs//EeEventAutomationsApi.md#deleteeventautomation) | **DELETE** /automations/{automationId} | Delete an existing Automation
*EeEventAutomationsApi* | [**getEventAutomation**](docs//EeEventAutomationsApi.md#geteventautomation) | **GET** /automations/{automationId} | Get an Automation
*EeEventAutomationsApi* | [**listAllEventAutomations**](docs//EeEventAutomationsApi.md#listalleventautomations) | **GET** /events/{eventId}/automations | List all event Automations
*EeEventAutomationsApi* | [**triggerEventAutomation**](docs//EeEventAutomationsApi.md#triggereventautomation) | **POST** /automations/{triggerType}/trigger | Pub sub to trigger an event automation
*EeEventAutomationsApi* | [**updateEventAutomation**](docs//EeEventAutomationsApi.md#updateeventautomation) | **PUT** /automations/{automationId} | Update Automation to event
*EeEventCertificatesApi* | [**addEventCertificate**](docs//EeEventCertificatesApi.md#addeventcertificate) | **POST** /events/{eventId}/certificates | Add a certificate to an event
*EeEventCertificatesApi* | [**assignCertificateToAttendee**](docs//EeEventCertificatesApi.md#assigncertificatetoattendee) | **PUT** /certificates/{certificateId}/attendees/{attendeeId} | Assign a certificate to attendee
*EeEventCertificatesApi* | [**bulkAssignCertificates**](docs//EeEventCertificatesApi.md#bulkassigncertificates) | **PUT** /certificates/bulk | Assign certificates to attendees
*EeEventCertificatesApi* | [**bulkRemoveCertificates**](docs//EeEventCertificatesApi.md#bulkremovecertificates) | **DELETE** /certificates/bulk | Remove certificates from attendees
*EeEventCertificatesApi* | [**deleteEventCertificate**](docs//EeEventCertificatesApi.md#deleteeventcertificate) | **DELETE** /certificates/{certificateId} | Delete an existing certificate
*EeEventCertificatesApi* | [**downloadCertificate**](docs//EeEventCertificatesApi.md#downloadcertificate) | **POST** /certificates/download/{certificateCode} | Download a certificate [certificateCode is eeEventAttendee.certificates[idx].code]
*EeEventCertificatesApi* | [**getEventCertificate**](docs//EeEventCertificatesApi.md#geteventcertificate) | **GET** /certificates/{certificateId} | Get a certificate
*EeEventCertificatesApi* | [**inspectTemplate**](docs//EeEventCertificatesApi.md#inspecttemplate) | **GET** /certificates/inspectTemplate | Inspect a template for all the placeholders
*EeEventCertificatesApi* | [**listAllEventCertificates**](docs//EeEventCertificatesApi.md#listalleventcertificates) | **GET** /events/{eventId}/certificates | List all event certificates
*EeEventCertificatesApi* | [**removeCertificateFromAttendee**](docs//EeEventCertificatesApi.md#removecertificatefromattendee) | **DELETE** /certificates/{certificateId}/attendees/{attendeeId} | Remove an assigned certificate from attendee
*EeEventCertificatesApi* | [**searchAttendeesAssignedToCertificate**](docs//EeEventCertificatesApi.md#searchattendeesassignedtocertificate) | **GET** /certificates/{certificateId}/attendees | List all attendees assigned to this certificate
*EeEventCertificatesApi* | [**updateEventCertificate**](docs//EeEventCertificatesApi.md#updateeventcertificate) | **PUT** /certificates/{certificateId} | Update certificate to event
*EeEventDropinsApi* | [**addDropinToEventTicket**](docs//EeEventDropinsApi.md#adddropintoeventticket) | **PUT** /tickets/{ticketId}/dropins/{dropinId} | Add dropin to ticket
*EeEventDropinsApi* | [**addEventDropin**](docs//EeEventDropinsApi.md#addeventdropin) | **POST** /events/{eventId}/dropins | Add a dropin to an event
*EeEventDropinsApi* | [**assignDropinToAttendee**](docs//EeEventDropinsApi.md#assigndropintoattendee) | **PUT** /dropins/{dropinId}/attendees/{attendeeId} | Assign a dropin to attendee
*EeEventDropinsApi* | [**deleteEventDropin**](docs//EeEventDropinsApi.md#deleteeventdropin) | **DELETE** /dropins/{dropinId} | Delete an existing dropin
*EeEventDropinsApi* | [**getEventDropin**](docs//EeEventDropinsApi.md#geteventdropin) | **GET** /dropins/{dropinId} | Get a dropin
*EeEventDropinsApi* | [**listAllEventDropins**](docs//EeEventDropinsApi.md#listalleventdropins) | **GET** /events/{eventId}/dropins | List all event dropins
*EeEventDropinsApi* | [**removeDropinFromAttendee**](docs//EeEventDropinsApi.md#removedropinfromattendee) | **DELETE** /dropins/{dropinId}/attendees/{attendeeId} | Remove an assigned dropin from attendee
*EeEventDropinsApi* | [**removeDropinFromTicket**](docs//EeEventDropinsApi.md#removedropinfromticket) | **DELETE** /tickets/{ticketId}/dropins/{dropinId} | Remove dropin from ticket
*EeEventDropinsApi* | [**searchAttendeesAssignedToDropin**](docs//EeEventDropinsApi.md#searchattendeesassignedtodropin) | **GET** /dropins/{dropinId}/attendees | List all attendees assigned to this dropin
*EeEventDropinsApi* | [**searchDropinsAssignedToTicket**](docs//EeEventDropinsApi.md#searchdropinsassignedtoticket) | **GET** /tickets/{ticketId}/dropins | List all dropins assigned to this ticket
*EeEventDropinsApi* | [**updateEventDropin**](docs//EeEventDropinsApi.md#updateeventdropin) | **PUT** /dropins/{dropinId} | Update dropin to event
*EeEventTagsApi* | [**listEventTags**](docs//EeEventTagsApi.md#listeventtags) | **GET** /events/{eventId}/tags | Paginate tags linked to an event
*EeEventTagsApi* | [**removeEventTag**](docs//EeEventTagsApi.md#removeeventtag) | **DELETE** /event-tags/{tagId} | Remove tag from event
*EeEventTagsApi* | [**searchTagsForEvent**](docs//EeEventTagsApi.md#searchtagsforevent) | **GET** /events/{eventId}/tags-search | Paginate tags linked to an event
*EeEventTagsApi* | [**updateEventTagStatus**](docs//EeEventTagsApi.md#updateeventtagstatus) | **POST** /events/eventTagStatusUpdate | Pub sub to update event tag, accept or decline [used by service account]
*EeEventTagsApi* | [**upsertEventTag**](docs//EeEventTagsApi.md#upserteventtag) | **PUT** /events/{eventId}/tags/{profileId} | Create or update a tag in an event [will make tag request if new tag]
*EeEventTicketsApi* | [**addEventTicket**](docs//EeEventTicketsApi.md#addeventticket) | **POST** /events/{eventId}/tickets | Add Ticket to event
*EeEventTicketsApi* | [**deleteEventTicket**](docs//EeEventTicketsApi.md#deleteeventticket) | **DELETE** /tickets/{ticketId} | Delete an existing Event
*EeEventTicketsApi* | [**getEventTicket**](docs//EeEventTicketsApi.md#geteventticket) | **GET** /tickets/{ticketId} | Get a ticket from the directory
*EeEventTicketsApi* | [**listEventTickets**](docs//EeEventTicketsApi.md#listeventtickets) | **GET** /events/{eventId}/tickets | Get Tickets to event
*EeEventTicketsApi* | [**updateEventPrimaryTicket**](docs//EeEventTicketsApi.md#updateeventprimaryticket) | **PUT** /tickets/{ticketId}/set-primary/{currencyCode} | Update an existing Event
*EeEventTicketsApi* | [**updateEventTicket**](docs//EeEventTicketsApi.md#updateeventticket) | **PUT** /tickets/{ticketId} | Upsert Ticket to event (One Ticket per currency)
*EeEventsApi* | [**createEvent**](docs//EeEventsApi.md#createevent) | **POST** /events | Create Event
*EeEventsApi* | [**deleteEvent**](docs//EeEventsApi.md#deleteevent) | **DELETE** /events/{eventId} | Delete an existing Event
*EeEventsApi* | [**getAllEvents**](docs//EeEventsApi.md#getallevents) | **GET** /events | Get Events
*EeEventsApi* | [**getEvent**](docs//EeEventsApi.md#getevent) | **GET** /events/{eventId} | Get a Event from the directory
*EeEventsApi* | [**getEventCategories**](docs//EeEventsApi.md#geteventcategories) | **GET** /events/categories | Get Event Categories
*EeEventsApi* | [**getMultipleEvents**](docs//EeEventsApi.md#getmultipleevents) | **GET** /events/get-multi | Get Multiple Events
*EeEventsApi* | [**searchEvent**](docs//EeEventsApi.md#searchevent) | **GET** /events/search | Search Events
*EeEventsApi* | [**updateEvent**](docs//EeEventsApi.md#updateevent) | **PUT** /events/{eventId} | Update an existing Event
*EeKioskApi* | [**activateKiosk**](docs//EeKioskApi.md#activatekiosk) | **POST** /kiosks | Activate kiosk [used by kiosk to get its unique id]
*EeKioskApi* | [**deactivateKiosk**](docs//EeKioskApi.md#deactivatekiosk) | **DELETE** /kiosks | Deactivate kiosk
*EeKioskApi* | [**getKiosk**](docs//EeKioskApi.md#getkiosk) | **GET** /kiosks/{kioskId} | Get a kiosk
*EeKioskApi* | [**linkKiosk**](docs//EeKioskApi.md#linkkiosk) | **PUT** /kiosks/{kioskId} | Link a kiosk to my account
*EeKioskApi* | [**listAllKiosks**](docs//EeKioskApi.md#listallkiosks) | **GET** /kiosks | List all user&#39;s kiosks
*EeKioskApi* | [**removeKioskDropin**](docs//EeKioskApi.md#removekioskdropin) | **DELETE** /kiosks/{kioskId} | Remove kiosk dropin
*EeKioskApi* | [**unlinkKiosk**](docs//EeKioskApi.md#unlinkkiosk) | **DELETE** /kiosks/{kioskId}/unlink | Unlink a kiosk
*EePermissionsApi* | [**acceptPermissionInvite**](docs//EePermissionsApi.md#acceptpermissioninvite) | **POST** /permissions/accept-invite/{inviteToken} | Accept a permission invite
*EePermissionsApi* | [**hasPermission**](docs//EePermissionsApi.md#haspermission) | **GET** /permissions/{entityType}/{entityId}/accounts/{accountId} | Check account has permission
*EePermissionsApi* | [**paginatePermissions**](docs//EePermissionsApi.md#paginatepermissions) | **GET** /permissions/{entityType}/{entityId}/accounts | Get permissions for entity
*EePermissionsApi* | [**removePermissionsForAccount**](docs//EePermissionsApi.md#removepermissionsforaccount) | **DELETE** /permissions/{entityType}/{entityId}/accounts/{accountId} | Remove all permissions for account
*EePermissionsApi* | [**sendPermissionInvite**](docs//EePermissionsApi.md#sendpermissioninvite) | **POST** /permissions/{entityType}/{entityId}/send-invite | Send a permission invite
*EePermissionsApi* | [**setPermission**](docs//EePermissionsApi.md#setpermission) | **PUT** /permissions/{entityType}/{entityId}/accounts/{accountId} | Set account permission
*EeQrCodeApi* | [**getQRCode**](docs//EeQrCodeApi.md#getqrcode) | **GET** /qr-code/{data} | Get a qr code


## Documentation For Models

 - [EeAddress](docs//EeAddress.md)
 - [EeAppliedPromotion](docs//EeAppliedPromotion.md)
 - [EeAttendeeCertificate](docs//EeAttendeeCertificate.md)
 - [EeAttendeeDropin](docs//EeAttendeeDropin.md)
 - [EeAttendeeNotification](docs//EeAttendeeNotification.md)
 - [EeBaseId](docs//EeBaseId.md)
 - [EeCertificateInspect](docs//EeCertificateInspect.md)
 - [EeCertificateInspectPlaceholders](docs//EeCertificateInspectPlaceholders.md)
 - [EeCsv](docs//EeCsv.md)
 - [EeDefaultError](docs//EeDefaultError.md)
 - [EeDiscount](docs//EeDiscount.md)
 - [EeEvent](docs//EeEvent.md)
 - [EeEventAttendee](docs//EeEventAttendee.md)
 - [EeEventAttendeeClaimUpdate](docs//EeEventAttendeeClaimUpdate.md)
 - [EeEventAttendeeClaimUpdateAttendees](docs//EeEventAttendeeClaimUpdateAttendees.md)
 - [EeEventAttendeeTransfer](docs//EeEventAttendeeTransfer.md)
 - [EeEventAttendeeUpdate](docs//EeEventAttendeeUpdate.md)
 - [EeEventAutomation](docs//EeEventAutomation.md)
 - [EeEventAutomationUpdate](docs//EeEventAutomationUpdate.md)
 - [EeEventCertificate](docs//EeEventCertificate.md)
 - [EeEventCertificatePlaceholder](docs//EeEventCertificatePlaceholder.md)
 - [EeEventCertificateUpdate](docs//EeEventCertificateUpdate.md)
 - [EeEventDropin](docs//EeEventDropin.md)
 - [EeEventDropinTicket](docs//EeEventDropinTicket.md)
 - [EeEventDropinUpdate](docs//EeEventDropinUpdate.md)
 - [EeEventTag](docs//EeEventTag.md)
 - [EeEventTagUpsert](docs//EeEventTagUpsert.md)
 - [EeEventUpdate](docs//EeEventUpdate.md)
 - [EeFacetSearch](docs//EeFacetSearch.md)
 - [EeFacetSearchFacetHits](docs//EeFacetSearchFacetHits.md)
 - [EeGeoloc](docs//EeGeoloc.md)
 - [EeKiosk](docs//EeKiosk.md)
 - [EeKioskUpdate](docs//EeKioskUpdate.md)
 - [EePagedEvent](docs//EePagedEvent.md)
 - [EePagedEventAttendee](docs//EePagedEventAttendee.md)
 - [EePagedEventAutomation](docs//EePagedEventAutomation.md)
 - [EePagedEventCertificate](docs//EePagedEventCertificate.md)
 - [EePagedEventDropin](docs//EePagedEventDropin.md)
 - [EePagedEventTag](docs//EePagedEventTag.md)
 - [EePagedKiosk](docs//EePagedKiosk.md)
 - [EePagedPermission](docs//EePagedPermission.md)
 - [EePagedPermissionInvite](docs//EePagedPermissionInvite.md)
 - [EePagedTicket](docs//EePagedTicket.md)
 - [EePagination](docs//EePagination.md)
 - [EePermission](docs//EePermission.md)
 - [EePermissionAccept](docs//EePermissionAccept.md)
 - [EePermissionCheck](docs//EePermissionCheck.md)
 - [EePermissionInput](docs//EePermissionInput.md)
 - [EePermissionInvite](docs//EePermissionInvite.md)
 - [EePermissionInviteCreate](docs//EePermissionInviteCreate.md)
 - [EePriceStrategy](docs//EePriceStrategy.md)
 - [EePriceSummary](docs//EePriceSummary.md)
 - [EeProfile](docs//EeProfile.md)
 - [EePubSubMessage](docs//EePubSubMessage.md)
 - [EePubSubMessageMessage](docs//EePubSubMessageMessage.md)
 - [EeRefundPolicy](docs//EeRefundPolicy.md)
 - [EeStoreItem](docs//EeStoreItem.md)
 - [EeStoreItemUpdate](docs//EeStoreItemUpdate.md)
 - [EeSuccess](docs//EeSuccess.md)
 - [EeTicket](docs//EeTicket.md)
 - [EeTicketDropin](docs//EeTicketDropin.md)
 - [EeTicketSummary](docs//EeTicketSummary.md)
 - [EeTicketUpdate](docs//EeTicketUpdate.md)
 - [InlineObject](docs//InlineObject.md)
 - [InlineResponse200](docs//InlineResponse200.md)
 - [InlineResponse2001](docs//InlineResponse2001.md)


## Documentation For Authorization


## Authorization

- **Type**: API key
- **API key parameter name**: Authorization
- **Location**: HTTP header

## ClientKey

- **Type**: API key
- **API key parameter name**: X-Client-Key
- **Location**: HTTP header


## Author

dev@edropin.com


