part of edropin_eventsapi.api;



class EeQrCodeApi {
  final ApiClient apiClient;

  EeQrCodeApi([ApiClient apiClient]) : apiClient = apiClient ?? defaultApiClient;

  /// Get a qr code
  ///
  /// 
  Future<MultipartFile> getQRCode(String data) async {
    Object postBody;

    // verify required params are set
    if(data == null) {
     throw new ApiException(400, "Missing required param: data");
    }

    // create path and map variables
    String path = "/qr-code/{data}".replaceAll("{format}","json").replaceAll("{" + "data" + "}", data.toString());

    // query params
    List<QueryParam> queryParams = [];
    Map<String, String> headerParams = {};
    Map<String, String> formParams = {};

    List<String> contentTypes = [];

    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";
    List<String> authNames = ["Authorization", "ClientKey"];

    if(contentType.startsWith("multipart/form-data")) {
      bool hasFields = false;
      MultipartRequest mp = new MultipartRequest(null, null);
      if(hasFields)
        postBody = mp;
    }
    else {
    }

    var response = await apiClient.invokeAPI(path,
                                             'GET',
                                             queryParams,
                                             postBody,
                                             headerParams,
                                             formParams,
                                             contentType,
                                             authNames);

    if(response.statusCode >= 400) {
      throw new ApiException(response.statusCode, response.body);
    } else if(response.body != null) {
      return apiClient.deserialize(response.body, 'MultipartFile') as MultipartFile;
    } else {
      return null;
    }
  }
}
